#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_LanguageCFGData
{
	//key
	int mID;
	//ÖÐÎÄÃû×Ö
	std::string mName;
};

class M_LanguageCFG
{
public:
private:
	static std::auto_ptr<M_LanguageCFG> msSingleton;
public:
	int GetCount();
	const M_LanguageCFGData* GetData(int ID);
	boost::unordered_map<int, M_LanguageCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_LanguageCFG* GetSingleton();
private:
	boost::unordered_map<int, M_LanguageCFGData> mMapData;
};
